<ion-header>
    <ion-toolbar mode="ios" class="header-page" color="light">
        <ion-buttons slot="start">
            <ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
                <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
            </ion-button>
        </ion-buttons>
        <ion-searchbar class="search-bar" placeholder="Tìm kiếm..." [(ngModel)]="this.tuKhoaTimKiem"
            (keyup.enter)="loadData()" (ionClear)="removeTuKhoaTimKiem()"></ion-searchbar>
    </ion-toolbar>
    <dailyxe-ion-search class="filter-header" type="basic" [(ngModel)]="this.search" (onChange)="loadData()">
    </dailyxe-ion-search>
</ion-header>
<ion-content class="background-content">
    <ion-grid fixed class="ion-no-padding">
        <ion-list *ngIf="data">
            <p-treeTable [value]="data" [columns]="cols">
                <ng-template pTemplate="body" let-rowNode let-rowData="rowData" let-columns="columns">
                    <tr>
                        <td *ngFor="let col of columns; let i = index" [ngStyle]="col.style" [ngSwitch]="col.field">
                            <p-treeTableToggler [rowNode]="rowNode" *ngIf="i == 0"></p-treeTableToggler>
                            <span *ngSwitchCase="'Edit'" [title]="col.header">
                                <ion-icon *ngIf="col.field=='Edit'" class="la la-edit" (click)="onSelect(rowData.Id)">
                                </ion-icon>
                            </span>
                            <span *ngSwitchDefault>{{rowData[col.field]}}</span>
                        </td>
                    </tr>
                </ng-template>
            </p-treeTable>
        </ion-list>
        <ion-list *ngIf="!data">
            <ion-item>
              <ion-text slot="start">
                <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
              </ion-text>
              <ion-label>
                <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-text slot="start">
                <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
              </ion-text>
              <ion-label>
                <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-text slot="start">
                <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
              </ion-text>
              <ion-label>
                <ion-skeleton-text animated style="width: 45%"></ion-skeleton-text>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-text slot="start">
                <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
              </ion-text>
              <ion-label>
                <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-text slot="start">
                <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
              </ion-text>
              <ion-label>
                <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-text slot="start">
                <ion-skeleton-text animated style="width: 30px;"></ion-skeleton-text>
              </ion-text>
              <ion-label>
                <ion-skeleton-text animated style="width: 45%"></ion-skeleton-text>
              </ion-label>
            </ion-item>
          </ion-list>
    </ion-grid>
</ion-content>
<ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button (click)="onSelect(-1)">
        <ion-icon name="add"></ion-icon>
    </ion-fab-button>
</ion-fab>